Skip to Content
Hive

Obtain JWT Access Tokens using the API Refresh Token

POST
/auth/api-key/login

Generate a new JWT access token by providing a valid API key.

Request Body

application/x-www-form-urlencoded
  1. body
clientId*string

The client identifier

clientSecret*string

The API Key (client secret)

Response Body

Tokens generated successfully

application/json
  1. response
access_token?string

JWT access token

Example Request
curl -X POST 'https://api.eis.it/auth/api-key/login' \  -H 'Content-Type: application/x-www-form-urlencoded' \  -d 'clientId=string&clientSecret=string'
Example Response
{  "access_token": "string"}